
/*------ POST NOTES INDICATOR ICONS -------*/
@import url("https://static.tumblr.com/gtjt4bo/Bbmscbtos/gt-misc-icons.css");

ol.notes > li {
    margin-left:calc(var(--Post-Notes-Type-Icon-Size) + var(--Post-Notes-Type-Icon-Gap-Right));
}

ol.notes > li + li {
    margin-top:var(--Post-Notes-Row-Spacing);
}

ol.notes blockquote:last-child {
    margin-bottom:0;
}

ol.notes li.note > span.action > a:first-of-type {
    position:relative;
}

/* all the :before icon font stuff here */
ol.notes li > span.action > a:first-of-type:before {
    position:absolute;
    content:"";
    top:0;left:0;
    margin-left:calc(0px - var(--Post-Notes-Type-Icon-Size) - var(--Post-Notes-Type-Icon-Gap-Right));
    display:flex;
    align-items:center;
    height:100%;
    transform-origin:center;
    font-size:var(--Post-Notes-Type-Icon-Size);
    color:var(--Reblog-Name-Color);
    speak: never;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-text-stroke-color:currentColor;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

/* JohnSmith posted this: [...original caption text] */
ol.notes li.original_post blockquote {
    display:none;
}

/* JohnSmith liked this post */
/* icon: heart */
ol.notes li.like > span.action > a:first-of-type:before {
    font-family:"gt-misc-icons";
    content:"\e806";
}

/* JohnSmith reblogged this from JaneDoe */
/* icon: repeat */
ol.notes li.reblog.without_commentary > span.action > a:first-of-type:before {
    font-family:"gt-misc-icons";
    content:"\e804";
    transform:perspective(0) translateY(1px);
}

/* JohnSmith added this GIF to a post */
/* icon: add symbol on a file (photo-plus) */
ol.notes li.post_attribution > span.action > a:first-of-type:before {
    font-family:"gt-misc-icons";
    content:"\e808";
}

/* JohnSmith replied: "..." */
/* JohnSmith said: "..." */
/* JohnSmith posted this */
/* icon: message */
ol.notes li.reblog.with_commentary > span.action > a:first-of-type:before,
ol.notes li.reply > span.action > a:first-of-type:before,
ol.notes li.original_post > span.action > a:first-of-type:before {
    font-family:"gt-misc-icons";
    content:"\e805"!important;
}

/* replies */
ol.notes blockquote, ol.notes .answer_content {
    display:block;
    margin-top:calc(var(--Post-Notes-Row-Spacing) - 1px); /* blockquote's top gap from its username */
    margin-left:calc(0px - var(--Post-Notes-Type-Icon-Size) - var(--Post-Notes-Type-Icon-Gap-Right) + ((var(--Post-Notes-Type-Icon-Size) - var(--Blockquote-Border-Size)) / 2));
    padding-left:calc(((var(--Post-Notes-Type-Icon-Size) - var(--Blockquote-Border-Size)) / 2) + var(--Post-Notes-Type-Icon-Gap-Right) + 1px);
    border-left:var(--Blockquote-Border-Size) solid var(--Blockquote-Border-Color);
}

/*------ POSTS: INLINE TEXT COLORS -------*/
/* prevent bold/italic colors from overriding inline 'color' style, if any */
/* most noticeable if caption text has gradient text */
/* test posts: glen-test.tumblr.com/tagged/gradient-text */
.comment .comment-body span[style*="color:"] *,
.comment .comment-body b[style*="color:"] *,
.comment .comment-body i[style*="color:"] *,
.comment .comment-body u[style*="color:"] *,
.comment .comment-body s[style*="color:"] *,
.comment .comment-body strong[style*="color:"] *,
.comment .comment-body em[style*="color:"] *,
.comment .comment-body pre[style*="color:"] *,
.comment .comment-body code[style*="color:"] *,
.comment .comment-body small[style*="color:"] *,
.comment .comment-body big[sxtyle*="color:"] *,
.comment .comment-body sup[style*="color:"] *,
.comment .comment-body sub[style*="color:"] *,
.comment .comment-body h2[style*="color:"] *,
.comment .comment-body h3[style*="color:"] *,
.comment .comment-body h4[style*="color:"] *,
.comment .comment-body h5[style*="color:"] *,
.comment .comment-body h6[style*="color:"] *
{
    color:inherit;
}

/*------ ALT TEXT / IMAGE DESCRIPTIONS -------*/
span.tmblr-alt-text-helper {
    display:block!important;
    position:absolute!important;
    top:0!important;right:0!important;
    left:auto!important;bottom:auto!important;
    margin-top:12px!important;
    margin-right:12px!important;
    font-family:var(--Caps-Font-Family)!important;
    font-weight:var(--Caps-Font-Weight)!important;
    text-transform:uppercase!important;
    letter-spacing:var(--Caps-Letter-Spacing)!important;
    font-size:var(--Caps-Font-Size)!important;
    color:var(--Misc-Buttons-Icon)!important;
    line-height:1!important;
    padding:5px 7px!important;
    background:rgba(var(--Misc-Buttons-BG-RGB),0.69)!important;
    border-radius:3px!important;
    opacity:1!important;
    transition:background-color 0.2s ease-in-out;
    cursor:help!important;
    z-index:1;
}

span.tmblr-alt-text-helper > * {
    pointer-events:none;
}

span.tmblr-alt-text-helper:hover {
    background:var(--Misc-Buttons-BG)!important;
}

[data-help-popover="alt-text-helper"] > .tour_guide.removing {
    transition:opacity .35s cubic-bezier(.175,.885,.32,1.275)!important;
}

[data-help-popover="alt-text-helper"] > .tour_guide.removing .popover {
    transform:none!important;
    transition:none!important;
}

[data-help-popover="alt-text-helper"] .popover {
    padding:var(--Post-Padding)!important;
    background:var(--Post-BG)!important;
    border:var(--Post-Borders-Size) solid var(--Post-Borders-Color)!important;
    border-radius:var(--Rounded-Corners)!important;
    box-shadow:none!important;
    cursor:initial!important;
    animation:popover_alt .35s cubic-bezier(.175,.885,.32,1.275)!important;
    transition:none!important;
    transform-origin:top!important;
}

@keyframes popover_alt {
    from { opacity:0; }
    to { opacity:1; }
}

[data-help-popover="alt-text-helper"] .popover.tutorial .title {
  margin:0 0 1em 0!important;
  font-family:var(--Heading-Font-Family)!important;
  text-transform:var(--Heading-Text-Case)!important;
  letter-spacing:var(--Heading-Letter-Spacing)!important;
  word-spacing:var(--Heading-Word-Spacing)!important;
  font-size:var(--Heading-Font-Size)!important;
  font-weight:var(--Heading-Font-Weight)!important;
  line-height:1!important;
  letter-spacing:inherit!important;
  color:inherit!important;
}

[data-help-popover="alt-text-helper"] .popover.tutorial .content {
  border:var(--Post-Accent-Border-Size) solid var(--Post-Accent-Border-Color)!important;
  padding:calc(var(--Post-Accent-Padding) - (((var(--Body-Font-Size) * var(--Body-Line-Height)) - var(--Body-Font-Size)) / 2)) var(--Post-Accent-Padding)!important;
  background:var(--Post-Accent-BG)!important;
  border-radius:var(--Post-Accent-Rounded-Corners)!important;
  font-family:var(--Body-Font-Family)!important;
  font-size:var(--Body-Font-Size)!important;
  color:var(--Post-Accent-Text)!important;
  line-height:var(--Body-Line-Height)!important;
  letter-spacing:inherit!important;
}

[data-help-popover="alt-text-helper"] .popover.tutorial .ok_button {
  margin:1em 0 0 0!important;
  border:none!important;
  padding:0.75em 0.75em!important;
  background-color:var(--Misc-Buttons-BG)!important;
  border-radius:4px!important;
  font-family:var(--Caps-Font-Family)!important;
  font-weight:var(--Caps-Font-Weight)!important;
  text-transform:uppercase!important;
  font-size:calc(var(--Caps-Font-Size) + 1px)!important;
  color:var(--Misc-Buttons-Icon)!important;
  line-height:1!important;
  letter-spacing:var(--Caps-Letter-Spacing)!important;
  cursor:help!important;
}

/* "m@ture content" warning - cover entire screen */
.tmblr-iframe-overlay .content-warning-cover {
    top:0!important;
    z-index:2147483647!important;
}

/*---- CUSTOMIZE PAGE GUIDE MSG ----*/
#uivhw {
  position:fixed;
  bottom:0;left:0;
  margin-bottom:0;
  margin-left:0;
  width:100%;
  background:#222a32;
  padding:calc(1.15rem - (((var(--Caps-Font-Size) * 1.8) - var(--Caps-Font-Size)) / 2)) 1.15rem;
  z-index:69;
}

#uivhw p {
  margin:0;  
  font-family:var(--Caps-Font-Family);
  font-weight:var(--Caps-Font-Weight);
  text-transform:uppercase;
  letter-spacing:var(--Caps-Letter-Spacing);
  font-size:var(--Caps-Font-Size);
  color:#eef2f7;
  line-height:1.8;
  text-align:center;
}

#uivhw p a {
  color:#a2a8f8;
  padding-bottom:0.15em;
  border-bottom:1px solid #576575;
}